# Copyright (c) 2022 xFusion Digital Technologies Co., Ltd. All rights reserved.
# Description: log public include file, define the base functions
# File Name: nvram.py
# Author: miaokaibo
# Create: 2022-05-05

import os
from sos.report.plugins import Plugin, RedHatPlugin


class NvramPlugin(Plugin, RedHatPlugin):
    '''nvram information
    '''

    short_desc = 'kernel nonvolatile ram'
    plugin_name = 'nvram'
    profiles = ('system', 'kernel')

    def setup(self):
        cmd = "cat /etc/log_redirect/config | grep '^export_path=' | awk -F '=' '{print $2}' | awk -F '\"' '{print $2}'"
        log_path = os.popen(cmd).read().replace("\n", '')
        cmd = "sh /usr/sbin/printk_log_collect.sh {}/current".format(log_path)
        ret = os.popen(cmd).read()
        self.add_copy_spec([
            '/etc/log_redirect',
            log_path,
            '/usr/lib/systemd/system/export_kernel_log.service'
        ])

        self.add_cmd_output(["export_kernel_log status", "systemctl status export_kernel_log"])

# vim: set et ts=4 sw=4 :
